package ru.crystals.api.examples;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.mockito.internal.util.reflection.Whitebox;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import ru.crystals.pos.api.ext.loyal.dto.AdvertisingActionProviderResult;

public class AdvertisingActionProviderExampleTest {

    private AdvertisingActionProviderExample plugin = new AdvertisingActionProviderExample();

    @Before
    public void before() {
        Logger logger = LoggerFactory.getLogger(AdvertisingActionProviderExample.class);
        Whitebox.setInternalState(plugin, "logger", logger);
    }

    @Test
    public void test() {
        AdvertisingActionProviderResult result = plugin.getAdvertisingActions(null);
        Assert.assertEquals(1, result.getAdvertisingActions().size());
    }
}
