package ru.other.company.loy.service.provider;

import ru.crystals.pos.api.ext.loyal.dto.LoyaltyResult;
import ru.crystals.pos.api.ext.loyal.dto.Slip;
import ru.crystals.pos.api.ext.loyal.dto.SlipParagraph;
import ru.crystals.pos.api.ext.loyal.dto.SlipParagraphType;
import ru.crystals.pos.api.ext.loyal.dto.auxiliaries.PreFiscalizationFeedback;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Стратегия поведения плагина при событии предфискализации чека возврата.
 */
public class RefundReceiptPrefiscalizationStrategy implements PrefiscalizationStrategy {
    @Override
    public PreFiscalizationFeedback apply(Receipt receipt, LoyaltyResult result) {
        Slip slip = new Slip();
        slip.getParagraphs().add(new SlipParagraph(SlipParagraphType.TEXT, "Возврат совершен, пример слипа"));

        PreFiscalizationFeedback preFiscalizationFeedback = new PreFiscalizationFeedback();
        preFiscalizationFeedback.getSlips().add(slip);
        return preFiscalizationFeedback;
    }
}
