package ru.crystals.pos.api.ext.loyal.dto;

/**
 * Категория результата выполнения сверки итогов плагином.
 */
public enum DailyReportResultCode {
    /**
     * Сверка успешно получена, вернулся результат.
     */
    SUCCESS,
    /**
     * Произошел таймаут при взаимодействии с внешней системой, сверка не выполнена.
     */
    TIMEOUT,
    /**
     * Произошла ошибка при выполнении сверки, сверка не выполнена.
     */
    ERROR
}
