package ru.crystals.pos.api.plugin.function;

import ru.crystals.pos.api.plugin.function.dto.Receipt;

/**
 * Результат для формирования чека на кассе
 */
public class CreateReceiptResult implements FunctionResult {

    /**
     * Чек
     */
    private Receipt receipt;

    public CreateReceiptResult(Receipt receipt) {
        this.receipt = receipt;
    }

    @Override
    public FunctionResultType getType() {
        return FunctionResultType.CREATE_RECEIPT;
    }

    public Receipt getReceipt() {
        return receipt;
    }
}
