package ru.crystals.pos.api.plugin.function;

/**
 * Тип результата вызова функционального плагина
 */
public enum FunctionResultType {
    /**
     * Пустой результат
     */
    VOID,

    /**
     * Результат поиска товара
     */
    SEARCH_PRODUCT,

    /**
     * Результат для формирования чека
     */
    CREATE_RECEIPT,

    /**
     * Результат поиска карты
     */
    SEARCH_CARD,

    /**
     * Результат для формирования изъятия
     */
    CREATE_WITHDRAWAL
}
