package ru.crystals.pos.api.ui.listener;

/**
 * Интерфейс слушателя событий формы сканирования.
 */
public interface ScanFormListener extends CancelListener {

    /**
     * Событие о сканировании штрихкода, QR кода.
     * @param barcode символьное представление сканированного штрихкода
     */
    void eventBarcodeScanned(String barcode);
}
