package ru.crystals.pos.spi.plugin.card;

import ru.crystals.pos.api.plugin.card.CardSearchFinishedResponse;

/**
 * Интерфейс для оповещения кассы об завершении обработки запроса по окончанию поиска карты/купона.
 * @since 1.0.0
 */
public interface CardSearchFinishedCallback {

    /**
     * Обработчик события о завершении обработки запроса по окончанию поиска карты/купона.
     * @param result результат обработки
     */
    void onCardSearchFinishedCompleted(CardSearchFinishedResponse result);

}
