package ru.crystals.pos.spi.plugin.card;

import ru.crystals.pos.spi.receipt.Card;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Запрос валидации карты для добавления в чек
 * @since 0.0.75
 */
public interface CardValidationRequest {
    /**
     * @return карту, добавляемую в чек
     */
    Card getCard();

    /**
     * @return чек, в который добавляется карта
     */
    Receipt getReceipt();
}
