package ru.crystals.pos.spi.plugin.ui;

/**
 * Интерфейс отправки сообщений в WebView
 */
public interface WebViewCallback {
    /**
     * Отправка произвольного сообщения
     *
     * @param message сообщение для WebView
     */
    void send(String message);

    /**
     * Закрытие формы WebView
     */
    void close();
}
