package ru.crystals.pos.spi.receipt;

/**
 * Товарная группа.
 * @since 0.0.73
 */
public interface Group {

    /**
     * @return код
     */
    String getCode();

    /**
     * @return наименование
     */
    default String getName() {
        return null;
    }

    /**
     * @return родительская группа
     */
    default Group getSuperGroup() {
        return null;
    }
}
