package ru.crystals.pos.spi.receipt;

/**
 * Результат проверки марки в ККТ
 *
 * @since 0.0.102
 */
public class MarkValidationResult {

    public static final MarkValidationResult M_SIGN = new MarkValidationResult("[М]");

    public static final MarkValidationResult M_SIGN_MINUS = new MarkValidationResult("[М-]");

    public static final MarkValidationResult M_SIGN_PLUS = new MarkValidationResult("[М+]");

    private final String value;

    public MarkValidationResult(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }
}
