package ru.crystals.pos.api.ui.listener;

import ru.crystals.pos.spi.plugin.ui.WebViewCallback;

/**
 * Интерфейс обработчика сообщений от WebView
 */
@FunctionalInterface
public interface WebViewMessageListener {
    /**
     * Обработчик события "новое сообщение от "WebView"
     *
     * @param message  полученное сообщение
     * @param callback callback для взаимодействия с WebView
     */
    void eventMessageFromWebView(String message, WebViewCallback callback);
}
