package ru.crystals.pos.spi.receipt;

import java.util.List;

/**
 * Столбец информационной панели
 */
public class InfoPanelFormColumn {
    /**
     * Заголовок
     */
    private final String title;
    /**
     * Строчки
     */
    private final List<InfoPanelFormItem> items;

    public InfoPanelFormColumn(String title, List<InfoPanelFormItem> items) {
        this.title = title;
        this.items = items;
    }

    public String getTitle() {
        return title;
    }

    public List<InfoPanelFormItem> getItems() {
        return items;
    }
}
