package ru.crystals.pos.spi.receipt;

/**
 * Информация о юридическом лице
 *
 * @since 0.0.102
 */
public interface JuristicPersonInfo {

    /**
     * @return ИНН юридического лица
     */
    default String getInn() {
        return null;
    }

    /**
     * @return название организации юридического лица
     */
    default String getOrganizationName() {
        return null;
    }

}
